/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on 2006/12/07 20:12:38
!  AUTHOR(S): KOGA, Junichiro
!  File : RedToBlueColorMap.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */
package ciss.phase_viewer.acviewer.colormap;

import java.awt.Color;

public class RedToBlueColorMap extends BaseColorMap {
    private org.apache.log4j.Logger logger = org.apache.log4j.Logger
            .getLogger(RedToBlueColorMap.class.getName());

    public Color getColor(float value) {
        if (value < 0)
            return Color.BLUE;
        if (value > 1)
            return Color.RED;

        if (value < 0.5)
            return new Color(2 * value, 2 * value, 1);
        if (value > 0.5)
            return new Color(1, 2 * (1f - value), 2 * (1f - value));

        return Color.WHITE;
    }

    public int getResolution() {
        return 256;
    }
}
